Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0044525
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2020-06-30 22:432020-07-09 09:25
ReporterlbressanView Statuspublic 
Assigned Toplatform 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version3.0PR20Q2SCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0044525: Creating a new document in a slow connection fills Business Partner data

DescriptionWhilst having a slow connection, pressing the New Record toolbar button may result in the Form View filling the Business Partner field and executing its callouts.

(Note: the support customer considers this a high impact case, hence this initial severity).
Steps To Reproduce1. Set connection to Slow 3G in Chrome developer tools (network tab)
2. Login to openbravo
3. Create a Sales Order (new record button on the toolbar), Purchase Order or other similar documents
4. Create a line
5. Book the Sales Order (do not close the form view after booking).
6. Create a new Sales Order, but do not fill any data and click cancel button.
7. Create a new Sales Order.
8. The Business Partner field will be populated, and its related data too via its callout.

The following video demonstrates the problem in 19Q4.4, but it's also reproducible in 20Q2: https://drive.google.com/file/d/1Mx8wG9HjFz4u4UIjw249uKNGFzmBBJWU/view?usp=sharing [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0121289)
hgbot (developer)
2020-07-07 09:44

Merge Request created: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/95 [^]
(0121344)
hgbot (developer)
2020-07-09 09:25

Merge request merged: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/95 [^]
(0121345)
hgbot (developer)
2020-07-09 09:25

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: 1aadeb193271d319387cc9efe2f1c71a0466339d
Author: Augusto Mauch <augusto.mauch@openbravo.com>
Date: 2020-07-09T07:25:05+00:00
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/1aadeb193271d319387cc9efe2f1c71a0466339d [^]

Fixes ISSUE-44525: wrong customer input is not set on slow connections

The problem was that on slow connections the cache of some combos was not the expected one.

On slow connection:

{_identifier: "Alimentos y Supermercados, S.A", id: "A6750F0D15334FB890C254369AC750A8", bpid: "A6750F0D15334FB890C254369AC750A8"}
1: "loading"
2: "loading"
3: "loading"...

On standard connection:

0: {category: "Customer - Tier 1", creditAvailable: 0, value: "ES-C1/0001", creditUsed: 0, name: "Alimentos y Supermercados, S.A", …}
1: {category: "Customer - Tier 3", creditAvailable: 0, value: "ES-C3/0001", creditUsed: 0, name: "Hoteles Buenas Noches, S.A.", …}
2: {category: "Customer - Tier 2", creditAvailable: 0, value: "ES-C2/0001", creditUsed: 0, name: "Restaurantes Luna Llena, S.A.", …}
3: "loading"
4: "loading"

Note that on standard connection the entries have a name property, while on slow connection they only contained an identifier, an id and bpid.

When the mapDisplayToValue(null) method was invoked on this combo, on slow connection it returned the first record, while on a standard connection
it returned null. This function was already being overwritten in ob-selector-item and returned null if the parameter was an empty string, now
it returns null if the parameter is null too

---
M modules/org.openbravo.userinterface.selector/web/org.openbravo.userinterface.selector/js/ob-selector-item.js
---

- Issue History
Date Modified Username Field Change
2020-06-30 22:43 lbressan New Issue
2020-06-30 22:43 lbressan Assigned To => platform
2020-06-30 22:43 lbressan Modules => Core
2020-06-30 22:43 lbressan Triggers an Emergency Pack => No
2020-07-07 09:30 hgbot Note Added: 0121288
2020-07-07 09:44 hgbot Note Added: 0121289
2020-07-07 09:59 AugustoMauch Note Deleted: 0121288
2020-07-09 09:25 hgbot Note Added: 0121344
2020-07-09 09:25 hgbot Resolution open => fixed
2020-07-09 09:25 hgbot Status new => closed
2020-07-09 09:25 hgbot Note Added: 0121345


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker